> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get examples from a dataset



## OpenAPI

````yaml get /v1/datasets/{id}/examples
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/datasets/{id}/examples:
    get:
      tags:
        - datasets
      summary: Get examples from a dataset
      operationId: getDatasetExamples
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the dataset
            title: Id
          description: The ID of the dataset
        - name: version_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The ID of the dataset version (if omitted, returns data from the
              latest version)
            title: Version Id
          description: >-
            The ID of the dataset version (if omitted, returns data from the
            latest version)
        - name: split
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              List of dataset split identifiers (GlobalIDs or names) to filter
              by
            title: Split
          description: List of dataset split identifiers (GlobalIDs or names) to filter by
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDatasetExamplesResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListDatasetExamplesResponseBody:
      properties:
        data:
          $ref: '#/components/schemas/ListDatasetExamplesData'
      type: object
      required:
        - data
      title: ListDatasetExamplesResponseBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ListDatasetExamplesData:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        version_id:
          type: string
          title: Version Id
        filtered_splits:
          items:
            type: string
          type: array
          title: Filtered Splits
        examples:
          items:
            $ref: '#/components/schemas/DatasetExample'
          type: array
          title: Examples
      type: object
      required:
        - dataset_id
        - version_id
        - examples
      title: ListDatasetExamplesData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DatasetExample:
      properties:
        id:
          type: string
          title: Id
        node_id:
          type: string
          title: Node Id
        input:
          additionalProperties: true
          type: object
          title: Input
        output:
          additionalProperties: true
          type: object
          title: Output
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - node_id
        - input
        - output
        - metadata
        - updated_at
      title: DatasetExample

````